pkgname=orange-system
pkgver=20$(date +%y%m%d)
pkgrel=1
pkgdesc="Automated Orange OS system tweaks"
arch=('any')
url="http://www.orangepi.org"
license=('GPL')
depends=('pacman>=4.2' 'coreutils' 'util-linux' 'systemd' 'e2fsprogs' 'uboot-tools' 'sed' 'awk' 'libnotify')
install=orange-system-update.sh
source=("resize-fs"
        "10-installer"
        "editor.sh"
        "editor.csh")
md5sums=('98b4ff6ccf69ae33237537afd8f7a047'
         'e53dc787c41727216ba5b173a5bed5be'
         '4c3b6e552a9fd45c7596f13bca9e88ce'
         '0709c37ba16db4a34e6618b4a4c590bb')

package() {
    install -D -m 0755 "${srcdir}/resize-fs" -t "${pkgdir}/usr/bin"
    install -D -m 0750 "${srcdir}/10-installer" -t "${pkgdir}/etc/sudoers.d"

    install -D -m 0644 "${srcdir}/editor.sh" -t "${pkgdir}/etc/profile.d"
    install -D -m 0644 "${srcdir}/editor.csh" -t "${pkgdir}/etc/profile.d"
}
